# Execution from sul4urlib:rotate_players_storage/

## Check if the input player id exists in storage
$execute store result score .player_exists_in_storage sul4urlib.dummy if data storage sul4urlib:sul4urlib players[{player_id:$(player_id)}]

## If it exists, move the compound to the end of the list
$execute if score .player_exists_in_storage sul4urlib.dummy matches 1 run data modify storage sul4urlib:sul4urlib temp.player_to_append_to_players set from storage sul4urlib:sul4urlib players[{player_id:$(player_id)}]

$execute if score .player_exists_in_storage sul4urlib.dummy matches 1 run data remove storage sul4urlib:sul4urlib players[{player_id:$(player_id)}]

execute if score .player_exists_in_storage sul4urlib.dummy matches 1 run data modify storage sul4urlib:sul4urlib players append from storage sul4urlib:sul4urlib temp.player_to_append_to_players


## If it doesn't exist, move the compound with invalid id to the end of the list.
execute unless score .player_exists_in_storage sul4urlib.dummy matches 1 run data remove storage sul4urlib:sul4urlib players[{player_id:-1}]

execute unless score .player_exists_in_storage sul4urlib.dummy matches 1 run data modify storage sul4urlib:sul4urlib players append value {player_id:-1}